Summary:       A python SOAP client modified for usage with Czech Databox
Name:          python-sudsds
Version:       1.0.1
Release:       9%{?dist}
Source0:       http://www.nic.cz/public_media/datove_schranky/releases/src/sudsds-%{version}.tar.gz
License:       LGPLv3+
Group:         Development/Libraries
BuildArch:     noarch
Requires:      python >= 2.4
BuildRequires: python-setuptools
URL:           https://labs.nic.cz/page/969/datovka/

%description
sudsds is a fork of the suds library modified to meet the needs for
interaction with the servers of Czech Databox. The modifications
are related to HTTPS proxy, server certificate validation and other
SSL related functions.

%prep
%setup -q -n sudsds-%{version}

%build
%{__python} setup.py sdist

%install
%{__python} setup.py install --optimize=1 --root=%{buildroot}

# Remove wrongly installed documents, they will be correctly installed later
rm -f %{buildroot}%{_datadir}/sudsds/{README,LICENSE.txt}
rmdir %{buildroot}%{_datadir}/sudsds

%files
%{python_sitelib}/suds*.egg-info
%dir %{python_sitelib}/sudsds
%dir %{python_sitelib}/sudsds/bindings
%dir %{python_sitelib}/sudsds/sax
%dir %{python_sitelib}/sudsds/xsd
%dir %{python_sitelib}/sudsds/mx
%dir %{python_sitelib}/sudsds/umx
%dir %{python_sitelib}/sudsds/transport
%{python_sitelib}/sudsds/*.py*
%{python_sitelib}/sudsds/bindings/*.py*
%{python_sitelib}/sudsds/sax/*.py*
%{python_sitelib}/sudsds/xsd/*.py*
%{python_sitelib}/sudsds/mx/*.py*
%{python_sitelib}/sudsds/umx/*.py*
%{python_sitelib}/sudsds/transport/*.py*

%doc README LICENSE.txt

%changelog
* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.1-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.1-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Mon Jun 30 2014 Toshio Kuratomi <toshio@fedoraproject.org> - 1.0.1-5
- Replace python-setuptools-devel BR with python-setuptools

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Dec 19 2012 Jaroslav Škarvada <jskarvad@redhat.com> - 1.0.1-1
- New version

* Mon Sep 17 2012 Jaroslav Škarvada <jskarvad@redhat.com> - 1.0-2
- Removed old EPEL stubs (it is currently not intended for old EPELs)
- Fixed buildroot macro
- Replaced python call with macro

* Tue Sep 04 2012 Jaroslav Škarvada <jskarvad@redhat.com> - 1.0-1
- Initial commit

